# Building and Publishing ASP.NET Applications with Windows Azure Web Sites and Visual Studio 2010 #

> **Note:** A Visual Studio 2012 version of this Hands-on Lab can be found in [GitHub](https://github.com/WindowsAzure-TrainingKit/HOL-ASPNETAzureWebSitesVS2012).

## Hands-on Lab ##

### Introduction ###

Hands-on labs are sets of step-by-step guides that are designed to help you learn how to use key Windows Azure services and features. Each lab provides instructions to guide you through the process of developing and deploying applications.

In this Hands-on Lab, you will explore the basic elements of the **Windows Azure Web Sites** service by creating a simple [ASP.NET MVC 4](http://www.asp.net/mvc/mvc4) application, which uses scaffolding to automatically generate the baseline of your application's CRUD (Create, Read, Update and Delete). Then, you will deploy it using both Web Deploy from Visual Studio 2010 and Git.

> **Note:** You can download the latest build of the Windows Azure Training Kit which includes a tested version of this HOL from here: http://bit.ly/WindowsAzureTK.

Visit our [GitHub Homepage](http://windowsazure-trainingkit.github.com/) for more information about the **Windows Azure Training Kit**.

### Repository Structure ###

In the **root** folder of this repository you will find the hands-on lab (HOL) document, **HOL.md**. Before beginning with the lab exercises, make sure you have followed all the required steps indicated at the setup section of the document.

In the **Source** folder, you will find the source code for the lab, as well as the assets and setup scripts. Throughout the lab, you will be instructed to open and explore the solutions in the source folder. It contains the following subfolders:

- **Assets:** This folder contains files that are used throughout the exercises.
- **Setup:** This folder contains the dependency files and the setup scripts necessary to initialize specific configurations of the lab. Its execution is required for the majority of the hands-on labs.

### Get Started ###

In order to run the solutions of the exercises provided by this lab, you will first need to configure your environment and install any necessary prerequisites such as runtimes, components, or libraries. For your ease, you can download and run the dependency checker [here] (http://contentinstaller.blob.core.windows.net/dependency-checker/DC.exe) to automatically check and install all the requirements.  Each lab also includes setup instructions for getting started.

### Contributing to the Repository ###

If you find any issues or opportunities for improving this hands-on lab, fix them! Feel free to contribute to this project by [forking](http://help.github.com/fork-a-repo/) this repository and make changes to the content. Once you've made your changes, share them back with the community by sending a pull request. Please see the GitHub section [How to send pull requests](http://help.github.com/send-pull-requests/) and the [Windows Azure Contribution Guidelines](http://windowsazure.github.com/guidelines.html) for more information about contributing to projects.

### Reporting Issues ###

If you find any issues with this hands-on lab that you can't fix, feel free to report them in the [issues](https://github.com/WindowsAzure-TrainingKit/HOL-ASPNETAzureWebSites/issues) section of this repository.